com.brightcove.player.store

## Class AbstractOfflineVideo

- java.lang.Object
- - com.brightcove.player.store.AbstractOfflineVideo

- All Implemented Interfaces:
    IdentifiableEntity<com.brightcove.player.store.OfflineVideo,java.util.UUID>, io.requery.Persistable

      @Entity
      public abstract class AbstractOfflineVideo
      extends java.lang.Object
      implements IdentifiableEntity<com.brightcove.player.store.OfflineVideo,java.util.UUID>

  Defines the contract of an entity that can be parceled and persisted into a local database with information related to an video that can be played back offline.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOfflineVideo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.util.UUID>,?>` | `getIdentityCondition()` Gets a `LogicalCondition` that can be used to match this entity by it's unique identifier.
    `io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.util.UUID>,?>` | `getIdentityCondition(java.util.UUID key)` Gets a `LogicalCondition` that can be used to match an entity by it's unique identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.brightcove.player.store.IdentifiableEntity

      `getKey`

- - ### Constructor Detail

    - #### AbstractOfflineVideo

          public AbstractOfflineVideo()

  - ### Method Detail

    - #### getIdentityCondition

          public io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.util.UUID>,?> getIdentityCondition(java.util.UUID key)

      Description copied from interface: `IdentifiableEntity`
      Gets a `LogicalCondition` that can be used to match an entity by it's unique identifier.
      Specified by:
        `getIdentityCondition` in interface `IdentifiableEntity<com.brightcove.player.store.OfflineVideo,java.util.UUID>`
      Parameters:
        `key` - the unique identifier of the entity.
      Returns:
        the logical condition.

    - #### getIdentityCondition

          public io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.util.UUID>,?> getIdentityCondition()

      Description copied from interface: `IdentifiableEntity`
      Gets a `LogicalCondition` that can be used to match this entity by it's unique identifier.
      Specified by:
        `getIdentityCondition` in interface `IdentifiableEntity<com.brightcove.player.store.OfflineVideo,java.util.UUID>`
      Returns:
        the logical condition.